米尔科技提醒您:您的浏览器版本过低或者使用了兼容模式,为了获得更好的浏览体验,建议使用IE10以上的浏览器或使用极速模式。 请升级浏览器以获得更好的体验!

AM335x开发中遇到执行程序错误

文章来源:米尔科技 发布日期:2019.9.5 浏览次数:1551

    米尔为了协助客户更加快速高效的使用我公司产品提供免费技术支持服务。客户在使用TI AM335X linux 程序开发过程中遇到了以下问题,为了让大家再遇到相似问题时能快速得到解决思路,小编整理了这篇《AM335x开发中遇到执行程序错误》。

    问题:根据《MYD-AM335x Linux4.1.18开发手册》建立了核心板的开发环境程序编译完成后导入到AM335x模块内部,执行程序发现如下错误:

root@MYD-AM335x update# ./ntpq -p

./ntpq: /lib/libc.so.6: version `GLIBC_2.17' not found (required by ./ntpq)

    米尔技术支持回复:从以上代码串可以看到,这位用户的AM335X板上跑的应该是 3.2的内核,文件系统里面的libc库和根据4.1.18开发手册编译出来的libc库不是同一个版本。这时需要先把AM335X板上的系统重新烧写为4.1.18版本。



本文来自米尔科技,原文地址: http://www.myir-tech.com/resource/529.asp,转载请注明出处。